Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3259)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3260)
@@ -173,7 +173,7 @@
 	 * @param sel current selection, might be null
 	 */
 	public static void executeScript(String scriptpath, final  IWorkbenchPart page, final ISelection selection, String stringArgs) {
-		executeScript(scriptpath, page, selection, false, null);
+		executeScript(scriptpath, page, selection, false, stringArgs);
 	}
 	
 	/**
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3259)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowserEditor.java	(revision 3260)
@@ -33,11 +33,14 @@
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.ISelectionProvider;
 import org.eclipse.swt.browser.Browser;
+import org.eclipse.swt.browser.ProgressEvent;
+import org.eclipse.swt.browser.ProgressListener;
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Menu;
 import org.eclipse.ui.internal.browser.BrowserViewer;
 import org.eclipse.ui.internal.browser.WebBrowserEditor;
+import org.eclipse.ui.part.Page;
 import org.txm.rcp.messages.TXMUIMessages;
 
 /**
@@ -52,6 +55,8 @@
 	
 	/** The Constant ID. */
 	public final static String ID = TXMBrowserEditor.class.getName(); //$NON-NLS-1$
+
+	private ProgressListener progresslistener;
 	
 	/**
 	 * Instantiates a new txm browser.
@@ -80,63 +85,30 @@
 		super.setTitleImage(titleImage);
 	}
 	
-//	/**
-//	 * 
-//	 * @param wordids2 all the words to highlight
-//	 * @param lineids2 the words to highlight better and to scroll to
-//	 */
-//	public void setWordsIds(List<String> wordids2, List<String> lineids2) {
-//		this.wordids = wordids2;
-//		this.lineids = lineids2;
-//		
-//		if (progresslistener != null) {
-//			this.getBrowser().removeProgressListener(progresslistener);
-//		}
-//		
-//		progresslistener = new ProgressListener() {
-//			
-//			@Override
-//			public void changed(ProgressEvent event) {}
-//			
-//			@Override
-//			public void completed(ProgressEvent event) {
-//				Page currentpage = getCurrentPage();
-//				// System.out.println("Highlight ! "+currentpage.getEdition().getText()+" wordids ="+wordids);
-//				
-//				for (String wordid : wordids) {
-//					String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
-//							"elt.style.backgroundColor=\"#F9D0D0\";" //$NON-NLS-1$
-//							+
-//							"elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-//							"elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-//							"elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-//							"elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
-//							"} catch (e) { };"; //$NON-NLS-1$
-//					
-//					getBrowser().execute(highlightscript);
-//				}
-//				
-//				for (String wordid : lineids) {
-//					String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
-//							"elt.style.backgroundColor=\"#F9A0A0\";" + //$NON-NLS-1$
-//							"elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-//							"elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-//							"elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-//							"elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
-//							"} catch (e) { };"; //$NON-NLS-1$
-//					
-//					getBrowser().execute(highlightscript);
-//				}
-//				if (lineids.size() > 0) {
-//					String script = "try { document.getElementById(\"" + lineids.get(0) + "\").scrollIntoView(true); } catch (e) { };"; //$NON-NLS-1$ //$NON-NLS-2$
-//					getBrowser().execute(script);
-//				}
-//			}
-//		};
-//		getBrowser().addProgressListener(progresslistener);
-//		new CommandLink(this, getBrowser());
-//	}
+	CommandLink cmdLink;
 	
+	/**
+	 * 
+	 * @param wordids2 all the words to highlight
+	 * @param lineids2 the words to highlight better and to scroll to
+	 */
+	public void initializeProgressListener() {
+		
+		
+		ProgressListener progresslistener = new ProgressListener() {
+			
+			@Override
+			public void changed(ProgressEvent event) {}
+			
+			@Override
+			public void completed(ProgressEvent event) {
+				cmdLink = new CommandLink(TXMBrowserEditor.this, TXMBrowserEditor.this.getBrowser());
+			}
+		};
+		getBrowser().addProgressListener(progresslistener);
+		
+	}
+	
 //	/**
 //	 * Sets the edition.
 //	 *
@@ -571,7 +543,8 @@
 		getSite().registerContextMenu(menuManager, selProvider);
 		getSite().setSelectionProvider(selProvider);
 		
-		new CommandLink(this, getBrowser());
+		initializeProgressListener();
+		
 		// System.out.println("Browser menu: "+getBrowser().getMenu());
 	}
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3259)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/CommandLink.java	(revision 3260)
@@ -20,6 +20,8 @@
 
 import org.txm.utils.logger.Log;
 
+import cern.colt.Arrays;
+
 public class CommandLink extends BrowserFunction {
 	
 	String data = "";
@@ -38,6 +40,8 @@
 	
 	@Override
 	public synchronized Object function(Object[] arguments) {
+		
+		Log.finer("txmcommand() called: "+Arrays.toString(arguments));
 		if (editor != null) {
 			try { // TODO add option (or another browser command) to not force activated editor
 				editor.getSite().getPage().activate(editor);
@@ -73,15 +77,16 @@
 			params.put(arguments[i].toString(), arguments[i + 1].toString());
 		}
 		
+		Log.finer("txmcommand parameters: "+params);
 		String id = params.get("id"); //$NON-NLS-1$
 		if (id != null) {
 			params.remove("id"); //$NON-NLS-1$
 			// System.out.println("CALLING CMD with id="+id+" and parameters="+params);
 			// get the command from plugin.xml
-			callTXMCommand(id, params);
+			return callTXMCommand(id, params);
 		}
 		else {
-			System.out.println(NLS.bind("Cannot call a TXM command without ID (parameters={0}).", params));
+			Log.warning(NLS.bind("Cannot call a TXM command without ID (parameters={0}).", params));
 		}
 		return arguments;
 	}
@@ -92,6 +97,8 @@
 	 *
 	 */
 	public static Object callTXMCommand(String id, HashMap<String, String> params) {
+		Log.finer(NLS.bind("Calling the {0} command with {1}", id, params));
+		
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 		ICommandService cmdService = window.getService(ICommandService.class);
 		Command cmd = cmdService.getCommand(id);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3259)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3260)
@@ -60,11 +60,12 @@
 	@Override
 	public Object execute(ExecutionEvent event) {
 		
-		if (OSDetector.isFamilyWindows() && !isWindowsAdministratorUser()) {
-			TXMMessageBox.show(HandlerUtil.getActiveShell(event), TXMUIMessages.updateWarning, TXMUIMessages.abortingWindowsUpdate, SWT.ICON_WARNING);
-			Log.warning("Update canceled");
-			return null;
-		}
+		// // disabled since java is no more shipped within TXM feature file copy commands
+//		if (OSDetector.isFamilyWindows() && !isWindowsAdministratorUser()) {
+//			TXMMessageBox.show(HandlerUtil.getActiveShell(event), TXMUIMessages.updateWarning, TXMUIMessages.abortingWindowsUpdate, SWT.ICON_WARNING);
+//			Log.warning("Update canceled");
+//			return null;
+//		}
 		
 		String key = event.getParameter("org.txm.rcp.parameters.update"); //$NON-NLS-1$
 		if ("true".equals(key)) {
Index: tmp/org.txm.rcp/plugin.xml
===================================================================
--- tmp/org.txm.rcp/plugin.xml	(revision 3259)
+++ tmp/org.txm.rcp/plugin.xml	(revision 3260)
@@ -250,7 +250,7 @@
             class="org.txm.rcp.editors.TXMBrowserEditor"
             default="false"
             icon="icons/objects/edition.png"
-            id="org.txm.rcp.editors.TXMBrowser"
+            id="org.txm.rcp.editors.TXMBrowserEditor"
             name="%editor.name.5">
       </editor>
       <editor
